#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QString>

namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private:
    Ui::MainWindow *ui;

private slots:
    void on_pushButton_bhgt_clicked();
    void on_pushButton_gshp_clicked();
    void on_lineEdit_shp_editingFinished();
    void on_lineEdit_hgt_editingFinished();
    void on_checkBox_skipcfm_2_clicked(bool checked);
    void on_checkBox_skiperr_clicked(bool checked);
    void on_checkBox_nodata_clicked(bool checked);
    void on_checkBox_lm_clicked(bool checked);
    void on_checkBox_noovr_clicked(bool checked);
    void on_lineEdit_maxtext_editingFinished();
    void on_lineEdit_secs_editingFinished();
    void on_checkBox_skipcfm_2_clicked();
    void on_pushButton_gen_clicked();
    void on_pushButton_updt_clicked();
    void on_pushButton_genair_clicked();
    void on_pushButton_shpdec_clicked();
    void on_pushButton_shpuz_clicked();
    void on_pushButton_srtmtf_clicked();
    void on_pushButton_blf_2_clicked();
    void on_lineEdit_lf_2_editingFinished();
    void on_lineEdit_ap_editingFinished();
    void on_pushButton_gap_clicked();
    void on_pushButton_blf_clicked();
    void on_lineEdit_lf_editingFinished();
    void on_pushButton_elev_clicked();
    void on_pushButton_srtmdc_clicked();
    void on_pushButton_srtmuz_clicked();
    void on_pushButton_fill_clicked();
    void on_pushButton_shp_clicked();
    void on_tabWidget_currentChanged(int index);
    void on_pushButton_guz_clicked();
    void on_pushButton_gwg_clicked();
    void on_pushButton_ble_clicked();
    void on_lineEdit_pd_textChanged(QString );
    void on_lineEdit_pd_editingFinished();
    void on_pushButton_srtm_clicked();
    void on_pushButton_grd_clicked();
    void on_pushButton_gtd_clicked();
    void on_lineEdit_minlat_editingFinished();
    void on_lineEdit_maxlon_editingFinished();
    void on_lineEdit_minlon_editingFinished();
    void on_lineEdit_maxlat_editingFinished();
    void on_actionAbout_triggered();
    void on_actionQuit_triggered();
    void dialog_abort_clicked();
    void updateCenter();
    void updateDirectories();
    void outArg(QString s);
    void updateMaterials();
    void openNonModalDialog(QString title, QString msg, int secs);
    int process_Landuse(QString & selectedMaterials,
                        QString & results,
                        bool in_detail = false);


};

#endif // MAINWINDOW_H
